use crate::prelude::*;

pub async fn get_account(
    bot: Throttle<Bot>,
    msg: Message,
    db: DatabaseConnection,
) -> crate::Result<()> {
    let user_id = msg.from().ok_or(NoUserInfo)?.id.0;

    bot.send_message(msg.chat.id, "Choose the account to get")
        .reply_markup(menu_markup("decrypt", user_id, &db).await?)
        .await?;

    Ok(())
}
